Subject: Re: on linking gnu and msvc etc
From: [email-masked] (Jeffrey Russell Horner)

1 Oct 1998 08:44:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Paul,

I don't know if this will help you, but I've created a simple example
of linking gcc and msvc objects together:
http://www.cs.utk.edu/~jhorner/cygwin32/ i've also tested these
examples with both mingw32 and cygwin32 gcc. The most important point
is that both msvc and gcc default to using the _cdecl calling
convention. 

When I have a chance, I'll add some pointers about mixed language programming
and calling conventions... if there's a demand for it.

To the list,

Has anyone successfully gotten tcl/tk and perl talking together. I have a 
financial package, cbb, that uses both and I'd really like to use it soon.

>	Could you post them to the web and tell us where to find it?
>
>A little background:
>
>	I am one of those developers who is porting MSVC/C++ based Win32 
>code to Gnu-Win32 using Mingw32 (currently EGCS-1.0.2)...I have no idea 
>how many of us there are...
>
>	My focus seems to be on getting the MS DX stuff to compile/build 
>properly for a free 3d engine (CrystalSpace -- as a start) and expect to be 
>porting, eventually, the Win32/Dx stuff to be integrated and buildable for all 
>of 
>the Gnu-Win32 (Mingw32) packages/tool sets (including Cygwin32).
>
>	I don't seem to have the patience to dig through and convert MS headers,
> 
>but I do have the patience to integrate/test pre-converted API sets for the Int
>el 
>based Gnu-Win32 build environments/toolsets.  The 3D engine
>(CrystalSpace: http://crystal.linuxgames.com/) seems to be an excellent test-
>bed for such things.
>
>	Peace,
>
>		Paul G.
>
>Information Systems Consultant
>NewDawn Productions
>http://www.teleport.com/~pgarceau/newdawn/
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

****************************************************************
Jeff Horner        The University of Tennessee     CS Department
423 974-2841            fax: 423 974-8296         104 Ayres Hall
http://www.cs.utk.edu/~jhorner/        Knoxville, TN  37996-1301              
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".